//
// Created by root on 7/23/19.
//

#ifndef IOT_NOTICE_H
#define IOT_NOTICE_H

#ifdef __cplusplus
extern "C" {
#endif

#include <cJSON.h>

typedef struct IotNoticeCallback {

    /** @ref 消息转发通知回调 */
    int (*cbNoticeMessages)(cJSON *inParams, cJSON *outParams, char **msg);
} IotNoticeCallback_t;

typedef struct IotNotice {
    IotNoticeCallback_t cb;
} IotNotice_t;

IotNotice_t iotNotice;

int IotNotice_Init(IotNoticeCallback_t cb);

/** @ref 消息转发通知 */
int IotNotice_Messages(cJSON *inParams, cJSON *outParams, char **msg);

#ifdef __cplusplus
}
#endif

#endif //IOT_NOTICE_H