//
// Created by root on 7/30/19.
//

#ifndef IOT_CLIENT_ERROR_H
#define IOT_CLIENT_ERROR_H

typedef enum IotClientError {
    IOT_CLIENT_SERVER_REFUSED = 9, /** @brief 服务端拒绝连接 */
    IOT_CLIENT_NETWORK_ERROR = 5, /** @brief 网络错误 */
    IOT_CLIENT_NO_MEMORY = 4, /** @brief 内存不足 */
    IOT_CLIENT_BAD_PARAMETER = 3, /** @brief 参数错误 */
    IOT_CLIENT_SUCCESS = 0, /** @brief 成功 */
    IOT_CLIENT_FAILED = -1, /** @brief 失败 */
    IOT_CLIENT_FILE_ERROR = -3, /** @brief 文件操作错误 */
    IOT_CLIENT_DISCONNECT = -4, /** @brief 断开连接错误 */
    IOT_CLIENT_EXIST_CONNECT = -5, /** @brief 连接已存在 */
    IOT_CLIENT_NO_OPEN_OTA = -7, /** @brief 未开启OTA服务 */
    IOT_CLIENT_THREAD_ERROR = -8, /** @brief 线程操作错误 */
    IOT_CLIENT_NO_OPEN_REMOTE = -9, /** @brief 未开启远程配置服务*/
} IotClientError_t;

#endif //IOT_CLIENT_ERROR_H
